#!/bin/sh
set -e

METRICS_CONFIG_DIR=${METRICS_CONFIG_DIR:metrics}

# Copy the metric configurations to the adapter configurations directory
cp -r /usr/src/app/config/${METRICS_CONFIG_DIR}/* ${DX_WFP_ADAPTER_CONFIGURATIONS_DIRECTORY}/

# Substitute environment variables in the configuration files
envsubst < /usr/src/app/config/tenant/dx-config.json > ${DX_TENANT_CONFIG_FILE}

# Run command with node if the first argument contains a "-" or is not a system command. The last
# part inside the "{}" is a workaround for the following bug in ash/dash:
# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=874264
if [ "${1#-}" != "${1}" ] || [ -z "$(command -v "${1}")" ] || { [ -f "${1}" ] && ! [ -x "${1}" ]; }; then
  set -- node "$@"
fi

exec "$@"
